import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:uco_mobile_poc/app/custom_widgets/custom_app_bar.dart';
import '../controllers/privacy_policy_controller.dart';

class PrivacyPolicyView extends GetView<PrivacyPolicyController> {
  const PrivacyPolicyView({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: "Privacy Policy",
        onBackButtonPressed: () {
          Get.back();
        },
      ),
      body: Padding(
        padding: EdgeInsets.all(15),
        child: Card(
          surfaceTintColor: Colors.white,
          elevation: 5.0,
          child: /*ListView.builder(
            itemBuilder: (context, index) {
              return Column(
                children: [
                  Text(privacyPolicy.title,
                      style: Theme.of(context).textTheme.titleMedium),
                  const SizedBox(height: 8),
                  Text(
                      privacyPolicy.description,
                      style: Theme.of(context).textTheme.bodyMedium),
                  const SizedBox(height: 15),
                ],
              );
            },),*/

          ListView(
            // Wrap the Card with a ListView for vertical scrolling
            children: [
              Padding(
                padding: const EdgeInsets.all(15.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    // first paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    SizedBox(height: 15),

                    // second paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    SizedBox(height: 15),

                    // third paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    SizedBox(height: 15),

                    // forth paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    SizedBox(height: 15),
                  ],
                ),
              ),
            ],
          ),
        ),

        /*Card(
          surfaceTintColor: Colors.white,
          elevation: 5.0,
          child: ListView(
            // Wrap the Card with a ListView for vertical scrolling
            children: [
              Padding(
                padding: const EdgeInsets.all(15.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    // first paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    const SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    const SizedBox(height: 15),

                    // second paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    const SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    const SizedBox(height: 15),

                    // third paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    const SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    const SizedBox(height: 15),

                    // forth paragraph
                    Text("Digital Banking Experience",
                        style: Theme.of(context).textTheme.titleMedium),
                    const SizedBox(height: 8),
                    Text(
                        "In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.",
                        style: Theme.of(context).textTheme.bodyMedium),
                    const SizedBox(height: 15),
                    // CustomButton(
                  ],
                ),
              ),
            ],
          ),
        ),*/
      ),
    );
  }
}
